#include "dreieck.h"

/******************************************************************************
 * Wandelt vom Bogenma in Dezimalwert
 * 
 * zahl           -  Zahl im Bogenma
 *           
 * Die Fkt. gibt Zahl in dez. zurck
 *****************************************************************************/
double Rad2Deg(double zahl)
{
 return (180.0 * zahl / M_PI);
}


/******************************************************************************
 * Berechnet Winkel zwischen gegenkathete und hypotenuse
 * 
 * Die Fkt. gibt den Winkel dezimal zurck
 *****************************************************************************/
double WinkelGegenHypo (double gegenkathete, double hypotenuse)
{
 return Rad2Deg( asin(gegenkathete/hypotenuse) );
}


/******************************************************************************
 * Berechnet Winkel zwischen ankathete und hypotenuse
 * 
 * Die Fkt. gibt den Winkel dezimal zurck
 *****************************************************************************/
double WinkelAnHypo    (double ankathete, double hypotenuse)
{
 return Rad2Deg( acos(ankathete/hypotenuse) );
}


/******************************************************************************
 * Berechnet Winkel zwischen ankathete und gegenkathete
 * 
 * Die Fkt. gibt den Winkel dezimal zurck
 *****************************************************************************/
double WinkelAnGegen   (double ankathete, double gegenkathete)
{
 return Rad2Deg( atan(gegenkathete/ankathete) );
}



